com.tibco.n2.service.adapter.binding

## Interface WorkItemSchedulerService

- All Known Implementing Classes:
    WorkItemSchedulerService

      public interface WorkItemSchedulerService

  Note: This is NOT a Public API

  These methods are used only for testing purposes!

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancelWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)` Cancel a work item (because the parent application has been cancelled.
    `boolean` | `enableWorkItem(com.tibco.n2.brm.api.ObjectID workItemId, com.tibco.n2.brm.api.ItemBody itemBody)` Entry point for the enabling of a work item.
    `boolean` | `rescheduleWorkItem(com.tibco.n2.brm.api.ObjectID workItemId, com.tibco.n2.brm.api.ItemSchedule itemSchedule, com.tibco.n2.brm.api.ItemBody itemBody)` Change the scheduling information and optionally the work item data for an existing work item
    `boolean` | `rescheduleWorkItem(com.tibco.n2.brm.api.ObjectID workItemId, com.tibco.n2.brm.api.ItemSchedule itemSchedule, com.tibco.n2.brm.api.ItemBody itemBody, com.tibco.n2.common.organisation.api.XmlDynamicIdField[] dynamicOrgAttributes)` Change the scheduling information and optionally the work item data for an existing work item
    `boolean` | `resumeWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)` PRIVATE API - Reserved for Internal Use Resume a currently suspended work item (because the parent application has been resumed).
    `com.tibco.n2.brm.api.ObjectID` | `scheduleWorkItem(com.tibco.n2.brm.api.Item item, com.tibco.n2.brm.api.ItemContext itemContext, com.tibco.n2.brm.api.ItemBody itemBody)` PRIVATE API - Reserved for Internal Use Add a new work item to the work list.
    `com.tibco.n2.brm.api.ObjectID` | `scheduleWorkItemWithWorkModel(com.tibco.n2.brm.api.ItemContext itemContext, com.tibco.n2.brm.api.ItemBody itemBody, java.lang.String workModelUID, long groupId)` PRIVATE API - Reserved for Internal Use Add a new work item with an optional model to the work list
    `boolean` | `suspendWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)` PRIVATE API - Reserved for Internal Use Suspend a work item (because the parent application has been suspended)

- - ### Method Detail

    - #### cancelWorkItem

          boolean cancelWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)
                          throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                 com.tibco.n2.brm.services.InternalServiceFault,
                                 com.tibco.n2.brm.services.WorkItemAPIScriptCancelFault,
                                 com.tibco.n2.brm.services.SecurityFault

      Cancel a work item (because the parent application has been cancelled.
      Parameters:
        `workItemId` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.WorkItemAPIScriptCancelFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### enableWorkItem

          boolean enableWorkItem(com.tibco.n2.brm.api.ObjectID workItemId,
                                 com.tibco.n2.brm.api.ItemBody itemBody)
                          throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                 com.tibco.n2.brm.services.WorkItemFault,
                                 com.tibco.n2.brm.services.InternalServiceFault

      Entry point for the enabling of a work item.
      Parameters:
        `workItemId` -
        `itemBody` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.WorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`

    - #### rescheduleWorkItem

          boolean rescheduleWorkItem(com.tibco.n2.brm.api.ObjectID workItemId,
                                     com.tibco.n2.brm.api.ItemSchedule itemSchedule,
                                     com.tibco.n2.brm.api.ItemBody itemBody)
                              throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                     com.tibco.n2.brm.services.InternalServiceFault,
                                     com.tibco.n2.brm.services.SecurityFault

      Change the scheduling information and optionally the work item data for an existing work item
      Parameters:
        `workItemId` -
        `itemSchedule` -
        `itemBody` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### rescheduleWorkItem

          boolean rescheduleWorkItem(com.tibco.n2.brm.api.ObjectID workItemId,
                                     com.tibco.n2.brm.api.ItemSchedule itemSchedule,
                                     com.tibco.n2.brm.api.ItemBody itemBody,
                                     com.tibco.n2.common.organisation.api.XmlDynamicIdField[] dynamicOrgAttributes)
                              throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                     com.tibco.n2.brm.services.InternalServiceFault,
                                     com.tibco.n2.brm.services.SecurityFault

      Change the scheduling information and optionally the work item data for an existing work item
      Parameters:
        `workItemId` -
        `itemSchedule` -
        `itemBody` -
        `dynamicOrgAttributes` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### resumeWorkItem

          boolean resumeWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)
                          throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                 com.tibco.n2.brm.services.InternalServiceFault,
                                 com.tibco.n2.brm.services.SecurityFault

      PRIVATE API - Reserved for Internal Use Resume a currently suspended work item (because the parent application has been resumed).
      Parameters:
        `workItemId` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### scheduleWorkItem

          com.tibco.n2.brm.api.ObjectID scheduleWorkItem(com.tibco.n2.brm.api.Item item,
                                                         com.tibco.n2.brm.api.ItemContext itemContext,
                                                         com.tibco.n2.brm.api.ItemBody itemBody)
                                                  throws com.tibco.n2.brm.services.WorkItemFault,
                                                         com.tibco.n2.brm.services.InvalidEntityFault,
                                                         com.tibco.n2.brm.services.InternalServiceFault,
                                                         com.tibco.n2.brm.services.InvalidWorkGroupFault,
                                                         com.tibco.n2.brm.services.InvalidWorkTypeFault,
                                                         com.tibco.n2.brm.services.SecurityFault

      PRIVATE API - Reserved for Internal Use Add a new work item to the work list.
      Parameters:
        `item` -
        `itemContext` -
        `itemBody` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.WorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.InvalidWorkGroupFault`
        `com.tibco.n2.brm.services.InvalidWorkTypeFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### scheduleWorkItemWithWorkModel

          com.tibco.n2.brm.api.ObjectID scheduleWorkItemWithWorkModel(com.tibco.n2.brm.api.ItemContext itemContext,
                                                                      com.tibco.n2.brm.api.ItemBody itemBody,
                                                                      java.lang.String workModelUID,
                                                                      long groupId)
                                                               throws com.tibco.n2.brm.services.WorkItemFault,
                                                                      com.tibco.n2.brm.services.InvalidEntityFault,
                                                                      com.tibco.n2.brm.services.InternalServiceFault,
                                                                      com.tibco.n2.brm.services.InvalidWorkGroupFault,
                                                                      com.tibco.n2.brm.services.WorkItemAPIScriptCancelFault,
                                                                      com.tibco.n2.brm.services.InvalidWorkModelFault,
                                                                      com.tibco.n2.brm.services.SecurityFault

      PRIVATE API - Reserved for Internal Use Add a new work item with an optional model to the work list
      Parameters:
        `itemContext` -
        `itemBody` -
        `workModelUID` -
        `groupId` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.WorkItemFault`
        `com.tibco.n2.brm.services.InvalidEntityFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.InvalidWorkGroupFault`
        `com.tibco.n2.brm.services.WorkItemAPIScriptCancelFault`
        `com.tibco.n2.brm.services.InvalidWorkModelFault`
        `com.tibco.n2.brm.services.SecurityFault`

    - #### suspendWorkItem

          boolean suspendWorkItem(com.tibco.n2.brm.api.ObjectID workItemId)
                           throws com.tibco.n2.brm.services.InvalidWorkItemFault,
                                  com.tibco.n2.brm.services.InternalServiceFault,
                                  com.tibco.n2.brm.services.SecurityFault

      PRIVATE API - Reserved for Internal Use Suspend a work item (because the parent application has been suspended)
      Parameters:
        `workItemId` -
      Returns:
      Throws:
        `com.tibco.n2.brm.services.InvalidWorkItemFault`
        `com.tibco.n2.brm.services.InternalServiceFault`
        `com.tibco.n2.brm.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.